View Issue Details

IDProjectCategoryView StatusLast Update
0003147Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.907 
Target VersionFixed in Version6.5.0.196 
Summary0003147: Logbook callsign lookup data source doesn't return much data
DescriptionIt can be demonstrated that the Logbook call sign lookup data source isn't returning much data. If a particular call sign is found in the Logbook during a call sign lookup operation, the data returned from the lookup operation only includes a few columns and isn't adequate to completely populate the logbook QSO record.

Note that this isn't a new problem; the steps here are performed against 6.4.0.907. I believe, but haven't concluseively proven, that this bug was introduced with check in #4203, intended to fix Mantis 2668, around the time of 6.4.0.873 release.

Steps To Reproduce1) Start up the logbook. Use a brand new, empty database.
2) Make sure he Logbook has only one database open.
3) Configure the logbook's call sign lookup to use these sources, and in this order: Logbook, QRZ.com subscription, Country List
4) Use the "Add" button in the logbook database view to open the ALE
5) Enter the callsign "K7ZCZ", then click on the "Lookup" button
6) When the lookup operation returns, it will fully populate the location tab. In particular, note that we're given a full address, a state/province of "WA", a QTH of "Mercer Island", and CQ and ITU zones.
7) Save this entry and close the ALE.
8) Edit the logbook's callsign lookup configuration again to use only these sources: Logbook, Country List.
9) Close the logbook and open it again. This assures that no data remains cached data from previous lookup operations.
10) Use the toolbar "Add" button to open the ALE again.
11) Again enter "K7ZCZ", then click on the "Lookup" button


BUG#1) K7ZCZ is found in the logook lookup, but nothing in the "Location" tab is populated.

12) Close the ALE without saving the new entry.
13) Double-click on the existing K7ZCZ entry (from Step #7) in the logbook view. This opens the ALE
14) Activate the "Location" tab. Verify that the entry contains all the same location info -- pretty much a full boat.

BUG#2) All / most of that information should've been used to populate the Logbook entry hit in Step #11
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003001 acknowledgedWA9PIE 3 - Current Dev List Callsign lookup function does not appear to be working as designed 
related to 0003130 closedPD9FER 4 - Closed w/o Action Logbook ALE lookup disregards position set in Callsign Lookup order 

Activities

K7ZCZ

2019-02-17 19:47

manager   ~0007423

Resolved with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4834

WA9PIE

2019-02-19 23:57

administrator   ~0007441

Validated

Issue History

Date Modified Username Field Change
2019-02-01 15:48 K7ZCZ New Issue
2019-02-01 15:48 K7ZCZ Relationship added related to 0003001
2019-02-01 15:48 K7ZCZ Relationship added related to 0003130
2019-02-17 19:47 K7ZCZ Assigned To => K7ZCZ
2019-02-17 19:47 K7ZCZ Status new => resolved
2019-02-17 19:47 K7ZCZ Resolution open => fixed
2019-02-17 19:47 K7ZCZ Note Added: 0007423
2019-02-19 19:07 K7ZCZ Fixed in Version => 6.5.0.194
2019-02-19 23:57 WA9PIE Status resolved => closed
2019-02-19 23:57 WA9PIE Description Updated View Revisions
2019-02-19 23:57 WA9PIE Testing Not Started => Beta Successful
2019-02-19 23:57 WA9PIE Note Added: 0007441
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.194 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe